注释

获取网站注释

GET/api/websites/{websiteId}/annotations/{annotationId}

返回特定网站注释的日期、全天设置和备注。

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
websiteIdrequiredstringID of the website.
annotationIdrequiredstringID of the annotation.

Responses

200The operation completed successfully.
NameTypeDescription
allDayrequiredbooleanWhether the annotation applies to the entire day.
createdAtrequiredstringDate and time the record was created.
daterequiredstring
idrequiredstringUnique identifier of the resource.
noterequiredstringText of the annotation.
updatedAtrequiredstringDate and time the record was last updated.
userIdrequiredstringID of the associated user.
websiteIdrequiredstringID of the website.
200 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example
404Not found.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
404 example

Code samples

cURL